import{s as ut,n as ft,o as gt}from"../chunks/scheduler.d627b047.js";import{S as ht,i as _t,g as n,s as r,r as c,A as yt,h as o,f as a,c as s,j as b,u as m,x as _,k as $,y as t,a as p,v as u,d as f,t as g,w as h}from"../chunks/index.d48c4817.js";import{D as v}from"../chunks/Docstring.270658d8.js";import{H as Ne}from"../chunks/Heading.47e562a9.js";function bt(Xe){let C,me,pe,ue,O,fe,S,Ze='<a href="https://hf.co/papers/2309.14859" rel="nofollow">LyCORIS</a> (Lora beYond Conventional methods, Other Rank adaptation Implementations for Stable diffusion) are LoRA-like matrix decomposition adapters that modify the cross-attention layer of the UNet. The <a href="loha">LoHa</a> and <a href="lokr">LoKr</a> methods inherit from the <code>Lycoris</code> classes here.',ge,V,he,w,R,ke,B,et="A base config for LyCORIS like adapters",_e,A,ye,y,M,Ee,J,tt="A base layer for LyCORIS like adapters",Oe,T,F,Se,Q,rt="Merge the active adapter weights into the base weights",Ve,D,H,Re,X,at="This method unmerges all merged adapter layers from the base weights.",be,U,$e,i,j,Ae,Z,st="A base tuner for LyCORIS like adapters",Me,I,q,Fe,ee,nt="Deletes an existing adapter.",He,L,z,Ue,te,ot="Disable all adapters.",je,re,lt="When disabling all adapters, the model output corresponds to the output of the base model.",qe,x,G,ze,ae,it="Enable all adapters.",Ge,se,dt="Call this if you have previously disabled all adapters and want to re-enable them.",Ke,P,K,We,ne,pt=`This method merges the adapter layers into the base model. This is needed if someone wants to use the base
model as a standalone model.`,Ye,N,W,Be,oe,ct="Set the active adapter(s).",Je,k,Y,Qe,le,mt=`Gets back the base model by removing all the lora modules without merging. This gives back the original base
model.`,ve,ce,Le;return O=new Ne({props:{title:"LyCORIS",local:"lycoris",headingTag:"h1"}}),V=new Ne({props:{title:"LycorisConfig",local:"peft.tuners.lycoris_utils.LycorisConfig",headingTag:"h2"}}),R=new v({props:{name:"class peft.tuners.lycoris_utils.LycorisConfig",anchor:"peft.tuners.lycoris_utils.LycorisConfig",parameters:[{name:"peft_type",val:": Union = None"},{name:"auto_mapping",val:": Optional = None"},{name:"base_model_name_or_path",val:": Optional = None"},{name:"revision",val:": Optional = None"},{name:"task_type",val:": Union = None"},{name:"inference_mode",val:": bool = False"},{name:"rank_pattern",val:": Optional[dict] = <factory>"},{name:"alpha_pattern",val:": Optional[dict] = <factory>"}],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L35"}}),A=new Ne({props:{title:"LycorisLayer",local:"peft.tuners.lycoris_utils.LycorisLayer",headingTag:"h2"}}),M=new v({props:{name:"class peft.tuners.lycoris_utils.LycorisLayer",anchor:"peft.tuners.lycoris_utils.LycorisLayer",parameters:[{name:"base_layer",val:": nn.Module"}],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L61"}}),F=new v({props:{name:"merge",anchor:"peft.tuners.lycoris_utils.LycorisLayer.merge",parameters:[{name:"safe_merge",val:": bool = False"},{name:"adapter_names",val:": Optional[List[str]] = None"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisLayer.merge.safe_merge",description:`<strong>safe_merge</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If <code>True</code>, the merge operation will be performed in a copy of the original weights and check for NaNs
before merging the weights. This is useful if you want to check if the merge operation will produce
NaNs. Defaults to <code>False</code>.`,name:"safe_merge"},{anchor:"peft.tuners.lycoris_utils.LycorisLayer.merge.adapter_names",description:`<strong>adapter_names</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of adapter names that should be merged. If <code>None</code>, all active adapters will be merged.
Defaults to <code>None</code>.`,name:"adapter_names"}],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L111"}}),H=new v({props:{name:"unmerge",anchor:"peft.tuners.lycoris_utils.LycorisLayer.unmerge",parameters:[],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L170"}}),U=new Ne({props:{title:"LycorisTuner",local:"peft.tuners.lycoris_utils.LycorisTuner",headingTag:"h2"}}),j=new v({props:{name:"class peft.tuners.lycoris_utils.LycorisTuner",anchor:"peft.tuners.lycoris_utils.LycorisTuner",parameters:[{name:"model",val:""},{name:"config",val:""},{name:"adapter_name",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L197"}}),q=new v({props:{name:"delete_adapter",anchor:"peft.tuners.lycoris_utils.LycorisTuner.delete_adapter",parameters:[{name:"adapter_name",val:": str"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisTuner.delete_adapter.adapter_name",description:"<strong>adapter_name</strong> (<code>str</code>) &#x2014; Name of the adapter to be deleted.",name:"adapter_name"}],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L398"}}),z=new v({props:{name:"disable_adapter_layers",anchor:"peft.tuners.lycoris_utils.LycorisTuner.disable_adapter_layers",parameters:[],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L349"}}),G=new v({props:{name:"enable_adapter_layers",anchor:"peft.tuners.lycoris_utils.LycorisTuner.enable_adapter_layers",parameters:[],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L342"}}),K=new v({props:{name:"merge_and_unload",anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload",parameters:[{name:"progressbar",val:": bool = False"},{name:"safe_merge",val:": bool = False"},{name:"adapter_names",val:": Optional[List[str]] = None"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload.progressbar",description:`<strong>progressbar</strong> (<code>bool</code>) &#x2014;
whether to show a progressbar indicating the unload and merge process`,name:"progressbar"},{anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload.safe_merge",description:`<strong>safe_merge</strong> (<code>bool</code>) &#x2014;
whether to activate the safe merging check to check if there is any potential Nan in the adapter
weights`,name:"safe_merge"},{anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload.adapter_names",description:`<strong>adapter_names</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of adapter names that should be merged. If None, all active adapters will be merged. Defaults
to <code>None</code>.`,name:"adapter_names"}],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L356"}}),W=new v({props:{name:"set_adapter",anchor:"peft.tuners.lycoris_utils.LycorisTuner.set_adapter",parameters:[{name:"adapter_name",val:": str | list[str]"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisTuner.set_adapter.adapter_name",description:"<strong>adapter_name</strong> (<code>str</code> or <code>list[str]</code>) &#x2014; Name of the adapter(s) to be activated.",name:"adapter_name"}],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L385"}}),Y=new v({props:{name:"unload",anchor:"peft.tuners.lycoris_utils.LycorisTuner.unload",parameters:[],source:"https://github.com/huggingface/peft/blob/v0.8.1/src/peft/tuners/lycoris_utils.py#L378"}}),{c(){C=n("meta"),me=r(),pe=n("p"),ue=r(),c(O.$$.fragment),fe=r(),S=n("p"),S.innerHTML=Ze,ge=r(),c(V.$$.fragment),he=r(),w=n("div"),c(R.$$.fragment),ke=r(),B=n("p"),B.textContent=et,_e=r(),c(A.$$.fragment),ye=r(),y=n("div"),c(M.$$.fragment),Ee=r(),J=n("p"),J.textContent=tt,Oe=r(),T=n("div"),c(F.$$.fragment),Se=r(),Q=n("p"),Q.textContent=rt,Ve=r(),D=n("div"),c(H.$$.fragment),Re=r(),X=n("p"),X.textContent=at,be=r(),c(U.$$.fragment),$e=r(),i=n("div"),c(j.$$.fragment),Ae=r(),Z=n("p"),Z.textContent=st,Me=r(),I=n("div"),c(q.$$.fragment),Fe=r(),ee=n("p"),ee.textContent=nt,He=r(),L=n("div"),c(z.$$.fragment),Ue=r(),te=n("p"),te.textContent=ot,je=r(),re=n("p"),re.textContent=lt,qe=r(),x=n("div"),c(G.$$.fragment),ze=r(),ae=n("p"),ae.textContent=it,Ge=r(),se=n("p"),se.textContent=dt,Ke=r(),P=n("div"),c(K.$$.fragment),We=r(),ne=n("p"),ne.textContent=pt,Ye=r(),N=n("div"),c(W.$$.fragment),Be=r(),oe=n("p"),oe.textContent=ct,Je=r(),k=n("div"),c(Y.$$.fragment),Qe=r(),le=n("p"),le.textContent=mt,ve=r(),ce=n("p"),this.h()},l(e){const l=yt("svelte-u9bgzb",document.head);C=o(l,"META",{name:!0,content:!0}),l.forEach(a),me=s(e),pe=o(e,"P",{}),b(pe).forEach(a),ue=s(e),m(O.$$.fragment,e),fe=s(e),S=o(e,"P",{"data-svelte-h":!0}),_(S)!=="svelte-u1n5we"&&(S.innerHTML=Ze),ge=s(e),m(V.$$.fragment,e),he=s(e),w=o(e,"DIV",{class:!0});var xe=b(w);m(R.$$.fragment,xe),ke=s(xe),B=o(xe,"P",{"data-svelte-h":!0}),_(B)!=="svelte-lekccd"&&(B.textContent=et),xe.forEach(a),_e=s(e),m(A.$$.fragment,e),ye=s(e),y=o(e,"DIV",{class:!0});var E=b(y);m(M.$$.fragment,E),Ee=s(E),J=o(E,"P",{"data-svelte-h":!0}),_(J)!=="svelte-n4c8qe"&&(J.textContent=tt),Oe=s(E),T=o(E,"DIV",{class:!0});var Ce=b(T);m(F.$$.fragment,Ce),Se=s(Ce),Q=o(Ce,"P",{"data-svelte-h":!0}),_(Q)!=="svelte-12t0sju"&&(Q.textContent=rt),Ce.forEach(a),Ve=s(E),D=o(E,"DIV",{class:!0});var we=b(D);m(H.$$.fragment,we),Re=s(we),X=o(we,"P",{"data-svelte-h":!0}),_(X)!=="svelte-ukua1i"&&(X.textContent=at),we.forEach(a),E.forEach(a),be=s(e),m(U.$$.fragment,e),$e=s(e),i=o(e,"DIV",{class:!0});var d=b(i);m(j.$$.fragment,d),Ae=s(d),Z=o(d,"P",{"data-svelte-h":!0}),_(Z)!=="svelte-uzavf9"&&(Z.textContent=st),Me=s(d),I=o(d,"DIV",{class:!0});var Te=b(I);m(q.$$.fragment,Te),Fe=s(Te),ee=o(Te,"P",{"data-svelte-h":!0}),_(ee)!=="svelte-1cw64z1"&&(ee.textContent=nt),Te.forEach(a),He=s(d),L=o(d,"DIV",{class:!0});var ie=b(L);m(z.$$.fragment,ie),Ue=s(ie),te=o(ie,"P",{"data-svelte-h":!0}),_(te)!=="svelte-q60vod"&&(te.textContent=ot),je=s(ie),re=o(ie,"P",{"data-svelte-h":!0}),_(re)!=="svelte-1ecn6m6"&&(re.textContent=lt),ie.forEach(a),qe=s(d),x=o(d,"DIV",{class:!0});var de=b(x);m(G.$$.fragment,de),ze=s(de),ae=o(de,"P",{"data-svelte-h":!0}),_(ae)!=="svelte-bv5m7u"&&(ae.textContent=it),Ge=s(de),se=o(de,"P",{"data-svelte-h":!0}),_(se)!=="svelte-13saw9o"&&(se.textContent=dt),de.forEach(a),Ke=s(d),P=o(d,"DIV",{class:!0});var De=b(P);m(K.$$.fragment,De),We=s(De),ne=o(De,"P",{"data-svelte-h":!0}),_(ne)!=="svelte-1pmlbbw"&&(ne.textContent=pt),De.forEach(a),Ye=s(d),N=o(d,"DIV",{class:!0});var Ie=b(N);m(W.$$.fragment,Ie),Be=s(Ie),oe=o(Ie,"P",{"data-svelte-h":!0}),_(oe)!=="svelte-8teaja"&&(oe.textContent=ct),Ie.forEach(a),Je=s(d),k=o(d,"DIV",{class:!0});var Pe=b(k);m(Y.$$.fragment,Pe),Qe=s(Pe),le=o(Pe,"P",{"data-svelte-h":!0}),_(le)!=="svelte-ru82pu"&&(le.textContent=mt),Pe.forEach(a),d.forEach(a),ve=s(e),ce=o(e,"P",{}),b(ce).forEach(a),this.h()},h(){$(C,"name","hf:doc:metadata"),$(C,"content",$t),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){t(document.head,C),p(e,me,l),p(e,pe,l),p(e,ue,l),u(O,e,l),p(e,fe,l),p(e,S,l),p(e,ge,l),u(V,e,l),p(e,he,l),p(e,w,l),u(R,w,null),t(w,ke),t(w,B),p(e,_e,l),u(A,e,l),p(e,ye,l),p(e,y,l),u(M,y,null),t(y,Ee),t(y,J),t(y,Oe),t(y,T),u(F,T,null),t(T,Se),t(T,Q),t(y,Ve),t(y,D),u(H,D,null),t(D,Re),t(D,X),p(e,be,l),u(U,e,l),p(e,$e,l),p(e,i,l),u(j,i,null),t(i,Ae),t(i,Z),t(i,Me),t(i,I),u(q,I,null),t(I,Fe),t(I,ee),t(i,He),t(i,L),u(z,L,null),t(L,Ue),t(L,te),t(L,je),t(L,re),t(i,qe),t(i,x),u(G,x,null),t(x,ze),t(x,ae),t(x,Ge),t(x,se),t(i,Ke),t(i,P),u(K,P,null),t(P,We),t(P,ne),t(i,Ye),t(i,N),u(W,N,null),t(N,Be),t(N,oe),t(i,Je),t(i,k),u(Y,k,null),t(k,Qe),t(k,le),p(e,ve,l),p(e,ce,l),Le=!0},p:ft,i(e){Le||(f(O.$$.fragment,e),f(V.$$.fragment,e),f(R.$$.fragment,e),f(A.$$.fragment,e),f(M.$$.fragment,e),f(F.$$.fragment,e),f(H.$$.fragment,e),f(U.$$.fragment,e),f(j.$$.fragment,e),f(q.$$.fragment,e),f(z.$$.fragment,e),f(G.$$.fragment,e),f(K.$$.fragment,e),f(W.$$.fragment,e),f(Y.$$.fragment,e),Le=!0)},o(e){g(O.$$.fragment,e),g(V.$$.fragment,e),g(R.$$.fragment,e),g(A.$$.fragment,e),g(M.$$.fragment,e),g(F.$$.fragment,e),g(H.$$.fragment,e),g(U.$$.fragment,e),g(j.$$.fragment,e),g(q.$$.fragment,e),g(z.$$.fragment,e),g(G.$$.fragment,e),g(K.$$.fragment,e),g(W.$$.fragment,e),g(Y.$$.fragment,e),Le=!1},d(e){e&&(a(me),a(pe),a(ue),a(fe),a(S),a(ge),a(he),a(w),a(_e),a(ye),a(y),a(be),a($e),a(i),a(ve),a(ce)),a(C),h(O,e),h(V,e),h(R),h(A,e),h(M),h(F),h(H),h(U,e),h(j),h(q),h(z),h(G),h(K),h(W),h(Y)}}}const $t='{"title":"LyCORIS","local":"lycoris","sections":[{"title":"LycorisConfig","local":"peft.tuners.lycoris_utils.LycorisConfig","sections":[],"depth":2},{"title":"LycorisLayer","local":"peft.tuners.lycoris_utils.LycorisLayer","sections":[],"depth":2},{"title":"LycorisTuner","local":"peft.tuners.lycoris_utils.LycorisTuner","sections":[],"depth":2}],"depth":1}';function vt(Xe){return gt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tt extends ht{constructor(C){super(),_t(this,C,vt,bt,ut,{})}}export{Tt as component};
